#!/usr/bin/perl
use MP3::Info;
use File::Basename;

foreach (@ARGV) {
    ($a,$l,$t,$n)=();

    $file = basename $_;

    $info = get_mp3tag($_);

    #for ( keys %$info ) { print "$_: $info->{$_}\n"; }
    #print "---\n";
    if ( $file =~ /(.+?) - (.+?) - (\d+) - (.+?).mp3$/ ) {
        $info->{ARTIST} = $1;
        $info->{ALBUM} = $2;
        $info->{TRACKNUM} = sprintf("%02d",$3);
        $info->{TITLE} = $4;
    }
    elsif ( $file =~ /(.+?) - (.+?) - (.+?).mp3$/ ) {
        $info->{ARTIST} = $1;
        $info->{ALBUM} = $2;
        $info->{TITLE} = $3;
    }
    else {
        print STDERR "$_: No match\n";
        next;
    }

    print "$info->{ARTIST} - $info->{ALBUM} - $info->{TRACKNUM} - $info->{TITLE}\n";

    remove_mp3tag($_);
    set_mp3tag($_, $info );
}
